#!/usr/bin/python

import sqlite3
import sys
import os

if len(sys.argv) >= 3:
	database = os.path.join(os.environ['APPDATA'], "Skype", sys.argv[1], "main.db")
	conn = sqlite3.connect(database)
	adjustment = float(sys.argv[2])
	adjustment = adjustment*3600
	curs = conn.cursor()
	statement = "update messages set timestamp = (timestamp - " + str(adjustment) + ") where timestamp > strftime('%s', 'now')";
	curs.execute(statement)
	conn.commit()
	print "Database should be updated."
else:
	print "\nfix_skype fixes timestamps that are in the future. Execute it after\ncorrecting your system time but while the messed up timestamps are still in the\nfuture, and while skype is logged out.\n"
	print "Usage: fix_skype username hours\n"
	print "\tusername: your username in skype."
	print "\thours: the number of hours (decimals are okay) that the timestamps are\n\toff by."
